Loading...
Searching...
No Matches
itk::Functor::GPUFunctorBase Class Referenceabstract

`#include <itkGPUFunctorBase.h>`

## Detailed Description

Base functor class for GPU functor image filters.

Definition at line 50 of file itkGPUFunctorBase.h.

Inheritance diagram for itk::Functor::GPUFunctorBase:
[legend]

## Public Member Functions

| GPUFunctorBase ()=default
virtual int | SetGPUKernelArguments (OpenCLKernelManager::Pointer KernelManager, int KernelHandle)=0
virtual | ~GPUFunctorBase ()=default

## Constructor & Destructor Documentation

## GPUFunctorBase()

itk::Functor::GPUFunctorBase::GPUFunctorBase | ( |  | ) |

default

## ~GPUFunctorBase()

virtual itk::Functor::GPUFunctorBase::~GPUFunctorBase | ( |  | ) |

virtual default

## Member Function Documentation

## SetGPUKernelArguments()

virtual int itk::Functor::GPUFunctorBase::SetGPUKernelArguments | ( | OpenCLKernelManager::Pointer | KernelManager,
|  | int | KernelHandle )

pure virtual

Setup GPU kernel arguments for this functor.

Returns
  Current argument index to set additional arguments in the GPU kernel.

Generated on 1768596610 for elastix by 1.15.0 |